CREATE TABLE bookreview (
  nid integer NOT NULL,
  booktitle varchar(255) NOT NULL default '',
  cover varchar(255) NOT NULL default '',
  publisher varchar(255) NOT NULL default '',
  copyright varchar(255) NOT NULL default '',
  isbn varchar(255) NOT NULL default '',
  price varchar(255) NOT NULL default '',
  pages varchar(255) NOT NULL default '',
  rating integer NOT NULL default 0,
  synopsis text,
  contents text,
  review text,
  PRIMARY KEY (nid)
);
create index bookreview_booktitle on bookreview (booktitle);

CREATE TABLE bookreview_links (
  lid serial NOT NULL,
  nid integer NOT NULL,
  booklink varchar(255) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  weight smallint DEFAULT '0'
);
create index bookreview_links_lid on bookreview_links (lid);
create index bookreview_links_nid on bookreview_links (nid);

CREATE TABLE bookreview_authors (
  aid serial NOT NULL,
  nid integer NOT NULL,
  author varchar(255) NOT NULL default '',
  weight smallint DEFAULT '0'
);
create index bookreview_authors_aid on bookreview_authors (aid);
create index bookreview_authors_nid on bookreview_authors (nid);
